Check route liquidity
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/liquidity \
--header 'x-api-key: <x-api-key>'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/liquidity"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/liquidity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasLiquidity": true,
"symbol": "<string>",
"decimals": 123,
"unlimited": true,
"maxAmount": "<string>"
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Utilities
Check route liquidity
Checks whether a route can fulfil the requested amount.
GET
/
liquidity
Check route liquidity
Headers
API key for authentication
Example:
"your-api-key"
API version identifier (e.g. "2026-04.amazon"). Optional today, will become required in a future release.
Pattern:
^\d{4}-\d{2}\.[a-z0-9]+$Example:
"2026-04.amazon"
Query Parameters
Chain ID as CAIP-2, or a bare EVM chain id (legacy)
Example:
"eip155:8453"
Source token address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
Chain ID as CAIP-2, or a bare EVM chain id (legacy)
Example:
"eip155:8453"
Destination token address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
Deposit amount in raw source-token units (integer string)
Pattern:
^\d+$Example:
"1000000"
Was this page helpful?